Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.parser.ctrlwords
Class RtfCtrlWordData

    java.lang.Object
      com.lowagie.text.rtf.parser.ctrlwords.RtfCtrlWordData

All Implemented Interfaces:
  Cloneable

    public class RtfCtrlWordData

extends Object
implements Cloneable

The control word and parameter information as parsed by the parser. Contains the control word, Flag indicating if there is a parameter. The parameter value as a string. Flag indicating the parameter is positive or negative.

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

Field Summary
`String` | `ctrlWord` The control word found by the parser
`int` | `ctrlWordType`
`boolean` | `hasParam` Flag indicating if this keyword has a parameter.
`boolean` | `isNeg` Flag indicating if parameter is positive or negative.
`boolean` | `modified` Flag indicating if this object has been modified.
`boolean` | `newGroup` Flag indicating a new group
`String` | `param` The parameter for the control word.
`String` | `prefix`
`String` | `specialHandler`
`String` | `suffix`

Constructor Summary
`RtfCtrlWordData()`

Method Summary
`Object` | `clone()`
`int` | `intValue()` Return the parameter value as an integer (int) value.
`long` | `longValue()` Return the parameter value as a long value
`Integer` | `toInteger()` Return the parameter value as an Integer object.
`Long` | `toLong()` Return the parameter value as a Long object
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prefix

    public String prefix

### suffix

    public String suffix

### ctrlWord

    public String ctrlWord

  The control word found by the parser

### hasParam

    public boolean hasParam

  Flag indicating if this keyword has a parameter.

### param

    public String param

  The parameter for the control word.

### isNeg

    public boolean isNeg

  Flag indicating if parameter is positive or negative.

### newGroup

    public boolean newGroup

  Flag indicating a new group

### modified

    public boolean modified

  Flag indicating if this object has been modified.

### ctrlWordType

    public int ctrlWordType

### specialHandler

    public String specialHandler

Constructor Detail

### RtfCtrlWordData

    public RtfCtrlWordData()

Method Detail

### intValue

    public int intValue()

  Return the parameter value as an integer (int) value.

  Returns:
    Returns the parameter value as an int vlaue.

### toInteger

    public Integer toInteger()

  Return the parameter value as an Integer object.

  Returns:
    Returns the parameter value as an Integer object.

### longValue

    public long longValue()

  Return the parameter value as a long value

  Returns:
    Returns the parameter value as a long value

### toLong

    public Long toLong()

  Return the parameter value as a Long object

  Returns:
    Returns the parameter value as a Long object.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD